user www-data;
worker_processes auto;
pid /run/nginx.pid;
error_log /var/log/nginx/error.log;
include /etc/nginx/modules-enabled/*.conf;

events {
        worker_connections 768;
        # multi_accept on;
}

http {

	##
        # Basic Settings
        ##

        sendfile on;
        tcp_nopush on;
        types_hash_max_size 2048;
        # server_tokens off;

        # server_names_hash_bucket_size 64;
        # server_name_in_redirect off;

        include /etc/nginx/mime.types;
        default_type application/octet-stream;
        access_log /var/log/nginx/access.log;
        gzip off;
}

server {
        listen 4000 default_server;
	#        listen [::]:80 default_server;

        root /usr/local/jekyll/sites/kameronkenny.com/_site;

        index index.html index.htm index.nginx-debian.html;

        server_name _;

        location / {
        	# First attempt to serve request as file, then
	        # as directory, then fall back to displaying a 404.
                try_files $uri $uri/ =404;
        }
}

